/*
 * my common stuff
 *
 */

#ifndef COMMON__H
#define COMMON__H

/* --- address and such of mine -------------------------------------- */

#define MY_BBSNAME         "Psychosis"
#define MY_BBSPHONE        "+1 (719) 532-0053"
#define MY_FIDOADR         "1:128/234"
#define MY_EMAIL1          "psych0o@juno.com"
#define MY_EMAIL2          "psych0o@aol.com"
#define MY_FTP             "members.aol.com/psych0o/"
#define MY_WWW             "members.aol.com/psych0o/psoft.htm"

#define CONTACT "\nPsych0Soft can be contacted via\n" \
		" BBS: " MY_BBSNAME ", " MY_BBSPHONE "\n" \
		" FidoNet: " MY_FIDOADR "\n" \
		" E-mail: " MY_EMAIL1 " or " MY_EMAIL2 "\n" \
		" FTP: " MY_FTP "\n" \
		" WWW: " MY_WWW "\n"


/* --- compiler generalizations -------------------------------------- */

#ifndef DOS
#if defined(_QC) || defined(__DOS__) || defined(MSDOS) || defined(__MSDOS__)
#define DOS
#endif
#endif

#ifndef OS2
#if defined(__OS2__) || defined(OS_2)
#define OS2
#endif
#endif

#if !defined(EMX) || !defined(OS2)
#if defined(__EMX__)
#define EMX
#define OS2
#endif
#endif

/* needs WINNT, WIN31, WIN95, Unix, Amiga */


/* --- includes ------------------------------------------------------ */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>    /* p2c, others */

#if defined(INC_CRITERR)
#include <stdarg.h>
#endif

#if defined(DOS)
#include <dos.h>       /* share_loaded */
#include <dir.h>       /* exist */
#endif /* DOS */


/* --- more defines -------------------------------------------------- */

#define ANSI_CLRSCR "\x1b[2J"
#define ANSI_1      "\x1b[0;34m"
#define ANSI_2      "\x1b[0;32m"
#define ANSI_3      "\x1b[0;36m"
#define ANSI_4      "\x1b[0;31m"
#define ANSI_5      "\x1b[0;35m"
#define ANSI_6      "\x1b[0;33m"
#define ANSI_7      "\x1b[0;37m"
#define ANSI_8      "\x1b[1;30m"
#define ANSI_9      "\x1b[1;34m"
#define ANSI_10     "\x1b[1;32m"
#define ANSI_11     "\x1b[1;36m"
#define ANSI_12     "\x1b[1;31m"
#define ANSI_13     "\x1b[1;35m"
#define ANSI_14     "\x1b[1;33m"
#define ANSI_15     "\x1b[1;37m"

#ifndef NUL
#define NUL '\0'
#endif

/* --- typedef ------------------------------------------------------- */

#if defined(DOS)
typedef long INT32;
typedef int INT16;
#if !defined(unixtime)
typedef unsigned long unixtime;
#endif
#endif

/* --- function prototypes ------------------------------------------- */

void criterr(char const *errmsg, ...);



#endif /* not COMMON__H */
